File libgnomeprintui.spec of Package libgnomeprintui

#
# spec file for package libgnomeprintui
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libgnomeprintui
#
Version:        2.18.6
Release:        0
Summary:        User Interface Part of the GNOME Printing Library
License:        GPL-2.0-or-later AND LGPL-2.1-or-later
Group:          Development/Libraries/GNOME
Source:         %{name}-%{version}.tar.bz2
Source99:       baselibs.conf
Patch0:         add-printer.patch
# PATCH-FIX-UPSTREAM libgnomeprintui-no-g-i_t.patch dimstar@opensuse.org -- Do not depend on gnome-icon-theme, as it's deprecated.
Patch1:         libgnomeprintui-no-g-i_t.patch
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  libglade2-devel
BuildRequires:  libgnomecanvas-devel
BuildRequires:  libgnomeprint-devel
BuildRequires:  translation-update-upstream
Requires:       libgnomecups >= 0.2.0
Requires:       libgnomeprint >= 2.10.0
Requires:       libgnomesu
Recommends:     %{name}-lang

%description
This library contains all user-interface related functions to the GNOME
printing subsystem.

%package devel
Summary:        Development files for libgnomeprintui
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}
Requires:       libgnomecanvas-devel
Requires:       libgnomeprint-devel >= 2.10.0
#

%description devel
This subpackage contains the header files for developing
applications that want to make use of libgnomeprintui.

%package doc
Summary:        Documentation for libgnomeprintui
Group:          Development/Libraries/GNOME
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description doc
This package contains documentation for the the user-facing parts of
the GNOME 2.x printing library, which provide a simple and clean API
for GNOME programs that have to print documents.

%lang_package

%prep
%setup -q
translation-update-upstream
%patch0 -p1
%patch1 -p1

%build
%configure \
	--disable-static\
	--enable-gtk-doc=no
make %{?_smp_mflags}

%install
%make_install
%if 0%{?suse_version} <= 1110
rm %{buildroot}/%{_datadir}/locale/la/LC_MESSAGES/*
%endif
%if 0%{?suse_version} <= 1120
rm %{buildroot}/%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%find_lang %{name}-2.2
find %{buildroot} -type f -name "*.la" -delete -print
%fdupes %{buildroot}/%{_prefix}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%doc AUTHORS README NEWS ChangeLog
%{_datadir}/libgnomeprintui
%{_libdir}/*.so.*

%files lang -f %{name}-2.2.lang

%files devel
%{_includedir}/libgnomeprintui-2.2
%{_libdir}/*.so
%{_libdir}/pkgconfig/libgnomeprintui-2.2.pc

%files doc
%doc %{_datadir}/gtk-doc/html/*

%changelog